spandsp 0.0.6

schedule.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct span_sched_s | span_sched_t
typedef struct span_sched_state_s | span_sched_state_t
typedef void(* | span_sched_callback_func_t) (span_sched_state_t *s, void *user_data)

## Functions
uint64_t | span_schedule_next (span_sched_state_t *s)
uint64_t | span_schedule_time (span_sched_state_t *s)
int | span_schedule_event (span_sched_state_t *s, int us, span_sched_callback_func_t function, void *user_data)
void | span_schedule_update (span_sched_state_t *s, int us)
void | span_schedule_del (span_sched_state_t *s, int id)
span_sched_state_t * | span_schedule_init (span_sched_state_t *s)
int | span_schedule_release (span_sched_state_t *s)
int | span_schedule_free (span_sched_state_t *s)

## Typedef Documentation

## ◆ span_sched_state_t

typedef struct span_sched_state_s span_sched_state_t

A scheduled event queue.

## ◆ span_sched_t

typedef struct span_sched_s span_sched_t

A scheduled event entry.